# Description

Provides an tool that generates different types of features (MFCC, PLP, spectrum) from audio files.

This program takes in an audio file, does frontend signal processing to it, and then dumps the resulting Feature into a separate file. Also it can process a list of files at once.

Available options:

- -config configFile - the XML configuration file
- -name frontendName - the name of the feature extractor inside the configuration file
- -i audioFile - the name of the audio file
- -ctl controlFile - the name of the input file for batch processing
- -o outputFile - the name of the output file or output folder
- -format binary/ascii - output file format

# Binary File Format

The first 4 bytes of the binary file is an integer indicating the total number of data points in the file. This is used by the program that reads this file to check the endianness of the file by comparing with the file size. The rest of the file is simply the data points. Each data point is a 4-byte floating point number, in big-endian order.